.btn.loading::after, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) #respond input#submit.loading::after, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) a.button.loading::after, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) button.button.loading::after, .woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) input.button.loading::after, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce #respond input#submit.loading::after, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce a.button.loading::after, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce button.button.loading::after, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce input.button.loading::after {
    right: calc(50% - 12px);
    left: auto;
}

footer {
    float: right;

    .text a, .icons a {
        position: relative;
        transition: var(--transition);
        right: 0;
    }

    .text a:hover, .icons a:hover {
        right: 3px;
    }
}

#gform_2 {

    .gform_ajax_spinner {
        right: 15px;
        left: auto;
    }
}

.menu-item-has-children > a::after {
    margin-right: 8px;
    margin-left: 0;
}

.menu-item-has-children .sub-menu {
    left: auto;
    right: 0;
}

.gift-card-content-editor.step-content label.error {
    text-align: right;
    bottom: 0;
    right: 0;
    left: auto;
}

.woocommerce span.onsale, .woocommerce span.out-of-stock-badge {
    right: 2rem;
    left: auto;
}

.single_add_to_cart_button:not(.add-to-cart) {
    margin-right: calc(1rem - 2px) !important;
    margin-left: 0;
}

@media (max-width: 580px) {
    .single_add_to_cart_button {
        margin-right: 0 !important;
    }

    .single_add_to_cart_button:not(.add-to-cart) {
        margin: 10px 0 0 !important;
        width: 100%;
    }
}

.slick-default span.onsale {
    right: 1rem;
    left: auto;
}

.woocommerce-mini-cart a.remove::before {
    right: 0;
    left: auto;
}


#cartModal {
   /* right: auto;
    left: 0;*/
}

.woocommerce form .form-row .input-text, .woocommerce-page form .form-row .input-text {
    text-align: right;
}

.add-to-wishlist-before_image .yith-wcwl-add-to-wishlist {
    left: 2rem;
    right: auto;
    .blockOverlay.blockUI {

    }

}


.single-product .yith-wcwl-add-to-wishlist {
    right: auto;
    left: 1rem;
}

.single-product .related-products {
    .slick-default span.onsale {
        right: 2rem;
        left: auto;
    }
}


.single-product .related-products .yith-wcwl-add-to-wishlist {
    right: auto;
    left: 2rem;

}

.section-products {
    .add-to-wishlist-before_image .yith-wcwl-add-to-wishlist {
        left: 0.5rem;
        right: auto;
    }
}


.form-select {
    background-position: center left;
}

.type-product {
    .woocommerce-Price-currencySymbol {
        font-size: 65%;
    }
}

.gift-card-content-editor.step-content label.error {
    text-align: right;
}

.review-block .woocommerce-error {
    float: right;
}

.search-wrapper {
    i {
        right: auto;
        left: 0;
    }
}


table.wishlist_table {
    text-align: right;
}


.widget {

    margin-bottom: 1rem;
    border-bottom: 1px solid var(--solid-color);

    form {
        display: none;
    }

    h3 {
        position: relative;
        font-size: 16px;
        font-weight: 500 !important;
        cursor: pointer;
        padding-bottom: 1rem;
        margin-bottom: 0 !important;

    }

    h3::after {
        content: "\f107";
        font-family: 'Line Awesome Free';
        font-weight: 900;
        color: var(--text-color);
        transition: var(--transition);
        position: absolute;
        left: 0;
        font-size: 16px;
        top: 0px;
        right: auto;
    }

    h3.active::after {
        transform: rotate(180deg);
    }

    .woocommerce-widget-layered-nav-list, .wc-brand-list-layered-nav-product_brand {
        list-style: none;

        margin: 0;
        display: none;



        li {

            a {
                padding-right: 25px;
                padding-left: 0;
            }

            span {
                right: auto;
                left: 0;
            }
        }

        li a:before {
            left: auto;
            right: 0;
            top: 2px;

        }



    }
}


.gform-loader {

    right: 90%;
    left: auto;
}

.gform_wrapper.gravity-theme .gfield_description {
    text-align: right !important;
}

.gform_wrapper.gravity-theme .gfield_description {
    left: auto;
    right: 20px !important;
}

.woocommerce-form__label-for-checkbox {
    padding-right: 25px;
    padding-left: 0;
}

.wishlist_table.mobile li .additional-info-wrapper .product-add-to-cart {
    text-align: right !important;
}

.woocommerce-form__label-for-checkbox span::before {
    left: auto;
    right: 0;
}

.wishlist_table tr td, .wishlist_table tr th.product-checkbox, .wishlist_table tr th.wishlist-delete {
    text-align: right;
}

#order_review ul li {

    input {
        right: 0;
        left: auto;

    }

    label {
        padding-right: 25px;
        padding-left: 0;

    }

    label::before {
        right: 0;
        left: auto;
    }
}

.payment_box {
    padding-right: 0px;
    padding-left: 0;
}

.slick-track {
    span.onsale {
        right: 0.5rem;
    }
}

@media (max-width: 1199px) {
    #menuWrapper {
        left: 100%;
        right: auto;
    }


    #menuWrapper.active {
        left: 0;
        right: auto;
    }

}

@media (max-width: 994px) {
    .woocommerce span.onsale, .woocommerce span.out-of-stock-badge {
        right: 1rem;
        left: auto;
    }

    .add-to-wishlist-before_image .yith-wcwl-add-to-wishlist {
        left: 1rem;
    }

    .filter-title::after {
        left: 0;
        right: auto;
    }
}

@media (max-width: 760px) {
    .woocommerce-MyAccount-navigation {
        float: right !important;
    }


    .woocommerce-account .woocommerce-MyAccount-content {
        padding-right: 3rem;
        padding-left: 0;

    }
}

/** THANK YOU PAGE **/
.woocommerce-order-received {
    .woocommerce-order-details {
        float: right;
    }


    .woocommerce-customer-details {
        float: right;
        padding-right: 3rem;
        padding-left: 0;

        .woocommerce-column {
            float: right;
        }

        .woocommerce-column:last-child {
            padding-left: 0;
            padding-right: 1.5rem;
        }
    }

    @media (max-width: 760px) {
        .woocommerce-order-details {

            float: none;
        }

        .woocommerce-customer-details {
            padding-left: 0;
            padding-right: 0;
        }
    }

}